Skip to main content
GET
TypeScript

Query Parameters

namePrefix
string
nameSuffix
string
minAmountThreshold
number

Specifying minAmountThreshold will filter accounts whose total balance is greater than this value; otherwise, it returns all accounts. The amount set in this parameter represents the native asset amount, not its USD value.

Example:

10

assetId
string
orderBy
enum<string>
default:DESC
Available options:
ASC,
DESC
before
string
after
string
limit
number
default:200
Required range: 1 <= x <= 500
tagIds
string<uuid>[]

DEPRECATED - use includeTagIds instead

Maximum array length: 50
includeTagIds
string<uuid>[]

List of tag IDs to include. Vault accounts with any of these tags will be included

Maximum array length: 50
excludeTagIds
string<uuid>[]

List of tag IDs to exclude. Vault accounts with any of these tags will be filtered out

Maximum array length: 50

Response

200 - application/json

A VaultAccountsPagedResponse object

accounts
object[]
paging
object
previousUrl
string
nextUrl
string